CREATE TABLE cmr_transaction_taxes (
    TRANSACTION_TAX_ID               NUMBER(18, 0) ,
    TRANSACTION_ID                   NUMBER(18, 0)     NOT NULL,
    PARENT_TRANSACTION_ID            NUMBER(18, 0) ,
    LATEST_CORRECT_TXN_ID            NUMBER(18, 0) ,
    TRX_ID                           NUMBER(18, 0)     NOT NULL,
    TAX_LINE_NUMBER                  NUMBER(18, 0) ,
    TAX_REGIME_CODE                  VARCHAR2(120) ,
    TAX                              VARCHAR2(120) ,
    TAX_JURISDICTION_ID              NUMBER(18, 0) ,
    TAX_STATUS_CODE                  VARCHAR2(120) ,
    TAX_RATE_ID                      NUMBER(18, 0) ,
    TAX_RATE_CODE                    VARCHAR2(600) ,
    TAX_RATE                         NUMBER        ,
    TAX_APPORTIONMENT_LINE_NUMBER    NUMBER        ,
    REC_NREC_TAX_AMT                 NUMBER            NOT NULL,
    TAXABLE_AMT                      NUMBER            NOT NULL,
    PER_UNIT_TAX_AMT                 NUMBER        ,
    TRX_QUANTITY                     NUMBER        ,
    TAX_ONLY_LINE_FLAG               VARCHAR2(4)   ,
    INCLUSIVE_FLAG                   VARCHAR2(4)       NOT NULL,
    SELF_ASSESSED_FLAG               VARCHAR2(4)       NOT NULL,
    RECOVERABLE_FLAG                 VARCHAR2(4)       NOT NULL,
    RECOVERY_TYPE_CODE               VARCHAR2(120) ,
    PROCESSED_BY_CA_FLAG             VARCHAR2(20)  ,
    PROCESSED_BY_RA_FLAG             VARCHAR2(20)  ,
    ACTIVE_FLAG                      VARCHAR2(4)       NOT NULL,
    EVENT_DATE                       TIMESTAMP(6)      NOT NULL,
    EFFECTIVE_DATE                   TIMESTAMP(6)      NOT NULL,
    TAX_POINT_BASIS                  VARCHAR2(120) ,
    TAX_POINT_DATE                   DATE          ,
    CREATION_DATE                    TIMESTAMP(6)      NOT NULL,
    CREATED_BY                       VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    REQUEST_ID                       NUMBER(18, 0) ,
    JOB_DEFINITION_NAME              VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE           VARCHAR2(3600),
    ACCOUNT_CCID                     NUMBER        ,
    RECOVERY_RATE_CODE               VARCHAR2(600) ,
    FISCAL_PROCESS_OPTION_CODE       VARCHAR2(200) ,
    TAX_LIABILITY_ACCOUNT_ID         NUMBER(18, 0) ,
    PO_TAX_FLAG                      VARCHAR2(4)   ,
    PO_LINE_LOCATION_ID              NUMBER(18, 0) ,
    TRANSACTION_TAX_ID               NUMBER(18, 0) ,
    TRANSACTION_ID                   NUMBER(18, 0)     NOT NULL,
    PARENT_TRANSACTION_ID            NUMBER(18, 0) ,
    LATEST_CORRECT_TXN_ID            NUMBER(18, 0) ,
    TRX_ID                           NUMBER(18, 0)     NOT NULL,
    TAX_LINE_NUMBER                  NUMBER(18, 0) ,
    TAX_REGIME_CODE                  VARCHAR2(120) ,
    TAX                              VARCHAR2(120) ,
    TAX_JURISDICTION_ID              NUMBER(18, 0) ,
    TAX_STATUS_CODE                  VARCHAR2(120) ,
    TAX_RATE_ID                      NUMBER(18, 0) ,
    TAX_RATE_CODE                    VARCHAR2(600) ,
    TAX_RATE                         NUMBER        ,
    TAX_APPORTIONMENT_LINE_NUMBER    NUMBER        ,
    REC_NREC_TAX_AMT                 NUMBER            NOT NULL,
    TAXABLE_AMT                      NUMBER            NOT NULL,
    PER_UNIT_TAX_AMT                 NUMBER        ,
    TRX_QUANTITY                     NUMBER        ,
    TAX_ONLY_LINE_FLAG               VARCHAR2(4)   ,
    INCLUSIVE_FLAG                   VARCHAR2(4)       NOT NULL,
    SELF_ASSESSED_FLAG               VARCHAR2(4)       NOT NULL,
    RECOVERABLE_FLAG                 VARCHAR2(4)       NOT NULL,
    RECOVERY_TYPE_CODE               VARCHAR2(120) ,
    PROCESSED_BY_CA_FLAG             VARCHAR2(20)  ,
    PROCESSED_BY_RA_FLAG             VARCHAR2(20)  ,
    ACTIVE_FLAG                      VARCHAR2(4)       NOT NULL,
    EVENT_DATE                       TIMESTAMP(6)      NOT NULL,
    EFFECTIVE_DATE                   TIMESTAMP(6)      NOT NULL,
    TAX_POINT_BASIS                  VARCHAR2(120) ,
    TAX_POINT_DATE                   DATE          ,
    CREATION_DATE                    TIMESTAMP(6)      NOT NULL,
    CREATED_BY                       VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    REQUEST_ID                       NUMBER(18, 0) ,
    JOB_DEFINITION_NAME              VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE           VARCHAR2(3600),
    ACCOUNT_CCID                     NUMBER        ,
    RECOVERY_RATE_CODE               VARCHAR2(600) ,
    FISCAL_PROCESS_OPTION_CODE       VARCHAR2(200) ,
    TAX_LIABILITY_ACCOUNT_ID         NUMBER(18, 0) ,
    PO_TAX_FLAG                      VARCHAR2(4)   ,
    PO_LINE_LOCATION_ID              NUMBER(18, 0) ,
    CONSTRAINT pk_cmr_transaction_taxes PRIMARY KEY (TRANSACTION_TAX_ID, TRANSACTION_TAX_ID)
);
